<div class="l-navigation-container js-nav-container">
	<nav class="l-navigation js-nav">
			<button type="button" class="l-navigation__mobile-trigger js-nav-toggle">Все товары</button>

			<ul class="l-navigation__list container">
				<li class="l-navigation__list-item fr">
					<button type="button" class="l-navigation__list-button js-nav-toggle dib">Ещё</button>
				</li>

				{{#each index.preview.nav as |item|}}
					<li class="l-navigation__list-item fl">
						{{@index}}
						<a href="{{item.href}}" class="l-navigation__list-link {{#if (eq @index 0)}}active{{/if}}">{{item.title}}</a>
					</li>
				{{/each}}
			</ul>

			<ul class="l-navigation__list container">
				{{#each index.preview.nav as |item|}}
					<li class="l-navigation__list-item fl">
						<a href="{{item.href}}" class="l-navigation__list-link dib {{#if (eq @index 0)}}active{{/if}}">{{item.title}}</a>
					</li>
				{{/each}}
			</ul>
	</nav>
</div>

<!-- Navigation toggler -->
<script type="text/javascript">
	(function () {
		var $nav = document.querySelector('.js-nav');
		var $toggles = Array.from(document.querySelectorAll('.js-nav-toggle'));

		function handleClick() {
			$nav.classList.toggle('active');
		}

		$toggles.forEach(function ($toggle) {
			$toggle.addEventListener('click', handleClick, false);
		});
	})();
</script>

<script type="text/javascript">
	(function () {
		var $nav = document.querySelector('.js-nav');
		var $container = document.querySelector('.js-nav-container');

		var onScroll = function () {
			var doc = document.documentElement;
			var scrollTop = (window.pageYOffset || doc.scrollTop) - (doc.clientTop || 0);
			var top = $container.getBoundingClientRect().top + scrollTop;

			console.log(scrollTop, top);

			scrollTop > top ? stick() : unstick();
		};

		var stick = function () {
			$nav.style.position = 'fixed';
			$nav.style.top = 0;
			$nav.style.left = 0;
		};

		var unstick = function () {
			$nav.style.position = '';
			$nav.style.top = '';
			$nav.style.left = '';
		};

		window.addEventListener('scroll', onScroll, false);
	})();
</script>
